## libchewing 0.4.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.8)
project(libchewing)

# Update configure.ac if LIBCHEWING_VERSION is changed.
set(LIBCHEWING_VERSION 0.4.0)
set(PACKAGE_VERSION ${LIBCHEWING_VERSION})
# Update configure.ac if LIBCHEWING_BINARY_VERSION is changed.
set(LIBCHEWING_BINARY_VERSION 1.0.0)
set(CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR}/cmake)

if(UNIX)
    set(CMAKE_C_FLAGS "-g -O2 -Wall -fPIC ${CMAKE_C_FLAGS}")
    add_definitions(-DUNDER_POSIX -DPIC)
endif()

if(${CMAKE_C_COMPILER_ID} STREQUAL "GNU" OR
    ${CMAKE_C_COMPILER_ID} STREQUAL "Clang")
    set(CMAKE_C_FLAGS "-std=gnu99 ${CMAKE_C_FLAGS}")
    add_definitions(-D_GNU_SOURCE)
    option(ENABLE_GCOV "Coverage support" false)
    if(ENABLE_GCOV)
        set(CMAKE_C_FLAGS "-coverage ${CMAKE_C_FLAGS}")
    endif()

    # Use NO_UNDEFINED=no when running with address sanitizer
    option(NO_UNDEFINED "No undefined symbol in object file" true)
    if(NO_UNDEFINED)
        set(CMAKE_SHARED_LINKER_FLAGS "-Wl,--no-undefined ${CMAKE_SHARED_LINKER_FLAGS}")
    endif()
elseif(CMAKE_C_COMPILER_ID MATCHES "MSVC")
    # XXX: Not sure why we need to use MATCHES instead of STREQUAL here.

    # /wd4819
    # Without BOM, Visual Studio does not treat source file as UTF-8
    # encoding, thus it will complain about invalid character. Use
    # /wd4819 can suppress this warning.
    set(CMAKE_C_FLAGS "/wd4819 ${CMAKE_C_FLAGS}")
    add_definitions(/D_CRT_SECURE_NO_WARNINGS /D_CRT_NONSTDC_NO_DEPRECATE)
    add_definitions(/Dsnprintf=_snprintf /D__func__=__FUNCTION__)
endif()

include(CheckCCompilerFlag)
check_c_compiler_flag(-fvisibility=hidden FVISIBILITY_HIDDEN)
if(${FVISIBILITY_HIDDEN})
    set(CMAKE_C_FLAGS "-fvisibility=hidden ${CMAKE_C_FLAGS}")
endif()

# automake compatibility
add_definitions(-DHAVE_CONFIG_H=1)
add_custom_target(check COMMAND ${CMAKE_CTEST_COMMAND})

option(WITH_SQLITE3 "Use sqlite3 to store userphrase" true)
option(WITH_INTERNAL_SQLITE3 "Use internal sqlite3" false)

# Use valgrind when testing
option(USE_VALGRIND "Use valgrind when testing" true)

# Feature probe
include(CheckTypeSize)
check_type_size(uint16_t UINT16_T)

set(CURSES_NEED_WIDE true)
find_package(Curses)

if (WITH_SQLITE3)
    if (WITH_INTERNAL_SQLITE3)
        set(SQLITE3_SRC_DIR ${PROJECT_SOURCE_DIR}/thirdparty/sqlite-amalgamation)
        include_directories(
            ${SQLITE3_SRC_DIR}
        )
    else()
        find_library(SQLITE3_LIBRARY sqlite3)
        find_file(SQLITE3_HEADER sqlite3.h)
        get_filename_component(SQLITE3_INCLUDE ${SQLITE3_HEADER} PATH)

        if (NOT (SQLITE3_LIBRARY AND SQLITE3_INCLUDE))
            message(SEND_ERROR "Cannot find sqlite3 library")
        endif()

        include_directories(SQLITE3_INCLUDE)
    endif()
endif()

include(CheckFunctionExists)
check_function_exists(strtok_r HAVE_STRTOK_R)
check_function_exists(asprintf HAVE_ASPRINTF)

include(CheckIncludeFiles)
check_include_files(unistd.h HAVE_UNISTD_H)
check_include_files(stdint.h HAVE_STDINT_H)

include(TestBigEndian)
test_big_endian(WORDS_BIGENDIAN)

set(SRC_DIR ${PROJECT_SOURCE_DIR}/src)
set(INC_DIR ${PROJECT_SOURCE_DIR}/include)
set(TOOLS_SRC_DIR ${PROJECT_SOURCE_DIR}/src/tools)
set(TOOLS_BIN_DIR ${PROJECT_BINARY_DIR}/src/tools)
set(DATA_SRC_DIR ${PROJECT_SOURCE_DIR}/data)
set(DATA_BIN_DIR ${PROJECT_BINARY_DIR}/data)
set(TEST_SRC_DIR ${PROJECT_SOURCE_DIR}/test)
set(TEST_BIN_DIR ${PROJECT_BINARY_DIR}/test)

set(INSTALL_INC_DIR ${CMAKE_INSTALL_PREFIX}/include/chewing)
set(INSTALL_LIB_DIR ${CMAKE_INSTALL_PREFIX}/lib)
set(INSTALL_DATA_DIR ${CMAKE_INSTALL_PREFIX}/share/libchewing)
set(INSTALL_INFO_DIR ${CMAKE_INSTALL_PREFIX}/share/info)

set(INFO_SRC ${PROJECT_SOURCE_DIR}/doc/libchewing.texi)
set(INFO_BIN ${PROJECT_BINARY_DIR}/doc/libchewing.info)

configure_file(
    ${PROJECT_SOURCE_DIR}/cmake/config.h.in
    ${PROJECT_BINARY_DIR}/include/config.h
)

configure_file(
    ${PROJECT_SOURCE_DIR}/cmake/version.texi.in
    ${PROJECT_BINARY_DIR}/doc/version.texi
)

set(prefix "${CMAKE_INSTALL_PREFIX}")
set(exec_prefix "\${prefix}")
set(libdir "\${exec_prefix}/lib")
set(includedir "\${prefix}/include")
set(datarootdir "\${prefix}/share")
set(datadir "\${datarootdir}")
set(sysconfdir "\${prefix}/etc")
configure_file(
    ${PROJECT_SOURCE_DIR}/chewing.pc.in
    ${PROJECT_BINARY_DIR}/chewing.pc
    @ONLY
)

include_directories(
    ${PROJECT_BINARY_DIR}/include
    ${PROJECT_SOURCE_DIR}/include
    ${PROJECT_SOURCE_DIR}/include/internal
    ${PROJECT_SOURCE_DIR}/src
    ${PROJECT_SOURCE_DIR}/src/porting_layer/include
)

set(ALL_DATA
    ${DATA_BIN_DIR}/dictionary.dat
    ${DATA_BIN_DIR}/index_tree.dat
)

set(ALL_INC
    ${INC_DIR}/chewing.h
    ${INC_DIR}/chewing-compat.h
    ${INC_DIR}/chewingio.h
    ${INC_DIR}/global.h
    ${INC_DIR}/mod_aux.h
)

# info page
find_program(MAKEINFO makeinfo)
if (MAKEINFO)
    add_custom_command(
        OUTPUT
            ${INFO_BIN}
        COMMAND ${MAKEINFO} ${INFO_SRC} -o ${INFO_BIN} -I ${PROJECT_BINARY_DIR}/doc
        DEPENDS
            ${INFO_SRC}
    )
    add_custom_target(INFO ALL DEPENDS ${INFO_BIN})
    add_dependencies(check INFO)

    find_program(INSTALL_INFO NAMES ginstall-info install-info)
    if (INSTALL_INFO)
        install(FILES ${INFO_BIN} DESTINATION ${INSTALL_INFO_DIR})
        install(CODE "execute_process(COMMAND ${INSTALL_INFO} --info-dir=${INSTALL_INFO_DIR} ${INFO_BIN})")
    endif()
endif()


# We need to copy static data to binary tree when using out of tree build.
set(ALL_STATIC_DATA
    ${DATA_BIN_DIR}/pinyin.tab
    ${DATA_BIN_DIR}/swkb.dat
    ${DATA_BIN_DIR}/symbols.dat
)

add_custom_target(all_static_data
    COMMAND ${CMAKE_COMMAND} -E copy_if_different ${DATA_SRC_DIR}/pinyin.tab ${DATA_BIN_DIR}/pinyin.tab
    COMMAND ${CMAKE_COMMAND} -E copy_if_different ${DATA_SRC_DIR}/swkb.dat ${DATA_BIN_DIR}/swkb.dat
    COMMAND ${CMAKE_COMMAND} -E copy_if_different ${DATA_SRC_DIR}/symbols.dat ${DATA_BIN_DIR}/symbols.dat
)

set(ALL_STATIC_TEST stresstest.py)
foreach(target ${ALL_STATIC_TEST})
    add_custom_target(${target} ALL
        COMMAND ${CMAKE_COMMAND} -E copy_if_different ${TEST_SRC_DIR}/${target} ${TEST_BIN_DIR}/${target}
    )
    add_dependencies(check ${target})
endforeach()

# tools
set(ALL_TOOLS init_database)
add_executable(init_database ${TOOLS_SRC_DIR}/init_database.c $<TARGET_OBJECTS:common>)
set_target_properties(${ALL_TOOLS} PROPERTIES
        RUNTIME_OUTPUT_DIRECTORY ${TOOLS_BIN_DIR}
        RUNTIME_OUTPUT_DIRECTORY_DEBUG ${TOOLS_BIN_DIR}
        RUNTIME_OUTPUT_DIRECTORY_MINSIZEREL ${TOOLS_BIN_DIR}
        RUNTIME_OUTPUT_DIRECTORY_RELEASE ${TOOLS_BIN_DIR}
        RUNTIME_OUTPUT_DIRECTORY_RELWITHDEBINFO ${TOOLS_BIN_DIR}
)

# tools command
add_custom_command(
    OUTPUT
        ${ALL_DATA}
    COMMAND ${CMAKE_COMMAND} -E make_directory ${DATA_BIN_DIR}
    COMMAND ${CMAKE_COMMAND} -E chdir ${DATA_BIN_DIR} ${TOOLS_BIN_DIR}/init_database ${DATA_SRC_DIR}/phone.cin ${DATA_SRC_DIR}/tsi.src
    DEPENDS
        ${ALL_TOOLS}
        ${DATA_SRC_DIR}/phone.cin
        ${DATA_SRC_DIR}/tsi.src
)

# test
set(ALL_TESTCASES
    test-bopomofo
    test-config
    test-easy-symbol
    test-error-handling
    test-fullshape
    test-key2pho
    test-keyboard
    test-keyboardless
    test-logger
    test-mmap
    test-path
    test-regression
    test-reset
    test-special-symbol
    test-struct-size
    test-symbol
    test-userphrase
    test-utf8
)
set(ALL_TESTTOOLS
    performance
    randkeystroke
    simulate
    testchewing
)

if(${CURSES_FOUND})
    set(ALL_TESTTOOLS ${ALL_TESTTOOLS} genkeystroke)
endif()

enable_testing()

set(ALL_TESTS ${ALL_TESTCASES} ${ALL_TESTTOOLS})

foreach(target ${ALL_TESTCASES})
    add_test(${target} ${TEST_BIN_DIR}/${target})
endforeach()

if(USE_VALGRIND)
    find_program(VALGRIND valgrind)
    if(VALGRIND)
        foreach(target ${ALL_TESTCASES})
            add_test("valgrind-${target}" ${VALGRIND} --error-exitcode=255 --leak-check=full ${TEST_BIN_DIR}/${target})
        endforeach()
    endif()
endif()

foreach(target ${ALL_TESTS})
    add_executable(${target} ${TEST_SRC_DIR}/${target}.c)
    add_dependencies(${target} data all_static_data)
    add_dependencies(check ${target})
endforeach()

add_library(testhelper STATIC
    ${TEST_SRC_DIR}/testhelper.c
    $<TARGET_OBJECTS:chewing>
    $<TARGET_OBJECTS:common>
)
target_link_libraries(testhelper userphrase)
set_target_properties(testhelper PROPERTIES
    COMPILE_DEFINITIONS
        "CHEWING_DATA_PREFIX=\"${DATA_BIN_DIR}\";TEST_HASH_DIR=\"${TEST_BIN_DIR}\";TEST_DATA_DIR=\"${TEST_SRC_DIR}/data\";TESTDATA=\"${TEST_SRC_DIR}/default-test.txt\""
)

set_target_properties(${ALL_TESTS} PROPERTIES
    RUNTIME_OUTPUT_DIRECTORY ${TEST_BIN_DIR}
    RUNTIME_OUTPUT_DIRECTORY_DEBUG ${TEST_BIN_DIR}
    RUNTIME_OUTPUT_DIRECTORY_RELEASE ${TEST_BIN_DIR}
    RUNTIME_OUTPUT_DIRECTORY_RELEASE ${TEST_BIN_DIR}
    RUNTIME_OUTPUT_DIRECTORY_RELWITHDEBINFO ${TEST_BIN_DIR}
    COMPILE_DEFINITIONS
        "CHEWING_DATA_PREFIX=\"${DATA_BIN_DIR}\";TEST_HASH_DIR=\"${TEST_BIN_DIR}\";TEST_DATA_DIR=\"${TEST_SRC_DIR}/data\""
)
foreach(target ${ALL_TESTS})
    target_link_libraries(${target} testhelper)
endforeach()

if (${CURSES_FOUND})
    target_link_libraries(genkeystroke ${CURSES_LIBRARIES})
endif()

# data
add_custom_target(data ALL DEPENDS ${ALL_DATA})

# library
add_library(chewing OBJECT
    ${ALL_INC}
    ${INC_DIR}/internal/chewing-private.h
    ${INC_DIR}/internal/chewingutil.h
    ${INC_DIR}/internal/choice-private.h
    ${INC_DIR}/internal/dict-private.h
    ${INC_DIR}/internal/global-private.h
    ${INC_DIR}/internal/pinyin-private.h
    ${INC_DIR}/internal/tree-private.h
    ${INC_DIR}/internal/userphrase-private.h
    ${INC_DIR}/internal/bopomofo-private.h

    ${SRC_DIR}/compat.c
    ${SRC_DIR}/chewingio.c
    ${SRC_DIR}/chewingutil.c
    ${SRC_DIR}/choice.c
    ${SRC_DIR}/dict.c
    ${SRC_DIR}/mod_aux.c
    ${SRC_DIR}/pinyin.c
    ${SRC_DIR}/porting_layer/include/plat_mmap.h
    ${SRC_DIR}/porting_layer/include/plat_path.h
    ${SRC_DIR}/porting_layer/include/plat_types.h
    ${SRC_DIR}/porting_layer/include/sys/plat_posix.h
    ${SRC_DIR}/porting_layer/include/sys/plat_windows.h
    ${SRC_DIR}/porting_layer/src/plat_mmap_posix.c
    ${SRC_DIR}/porting_layer/src/plat_mmap_windows.c
    ${SRC_DIR}/porting_layer/src/plat_path.c
    ${SRC_DIR}/porting_layer/src/rpl_malloc.c
    ${SRC_DIR}/private.h
    ${SRC_DIR}/tree.c
    ${SRC_DIR}/userphrase.c
    ${SRC_DIR}/bopomofo.c
)
set_target_properties(chewing PROPERTIES
    COMPILE_DEFINITIONS "CHEWING_DATADIR=\"${INSTALL_DATA_DIR}\""
)

if (WITH_SQLITE3)
    add_library(userphrase STATIC
        ${INC_DIR}/internal/chewing-sql.h

        ${SRC_DIR}/chewing-sql.c
        ${SRC_DIR}/userphrase-sql.c
    )

    if (WITH_INTERNAL_SQLITE3)
        find_package (Threads)
        add_library(sqlite3_library STATIC
            ${SQLITE3_SRC_DIR}/sqlite3.c
            ${SQLITE3_SRC_DIR}/sqlite3.h
        )
        target_link_libraries(sqlite3_library ${CMAKE_DL_LIBS} ${CMAKE_THREAD_LIBS_INIT})

        add_executable(sqlite3
            ${SQLITE3_SRC_DIR}/shell.c
        )
        target_link_libraries(sqlite3 sqlite3_library)
        set_target_properties(sqlite3 PROPERTIES
            RUNTIME_OUTPUT_DIRECTORY ${TEST_BIN_DIR}
            RUNTIME_OUTPUT_DIRECTORY_DEBUG ${TEST_BIN_DIR}
            RUNTIME_OUTPUT_DIRECTORY_RELEASE ${TEST_BIN_DIR}
            RUNTIME_OUTPUT_DIRECTORY_RELEASE ${TEST_BIN_DIR}
            RUNTIME_OUTPUT_DIRECTORY_RELWITHDEBINFO ${TEST_BIN_DIR}
        )
        target_link_libraries(userphrase sqlite3_library)
    else()
        target_link_libraries(testhelper ${SQLITE3_LIBRARY})
    endif()
else()
    add_library(userphrase STATIC
        ${INC_DIR}/internal/hash-private.h

        ${SRC_DIR}/hash.c
        ${SRC_DIR}/userphrase-hash.c
    )
endif()

if (NOT MSVC)
    add_library(chewing_shared SHARED
        $<TARGET_OBJECTS:chewing>
        $<TARGET_OBJECTS:common>
    )
    list(APPEND LIBS chewing_shared)
    add_dependencies(check chewing_shared)

## libchewing 0.3.3

=== debian/changelog ===
libchewing (0.3.3-4) unstable; urgency=high

  * Team upload.

  [ Kan-Ru Chen ]

  * Remove --enable-debug, it is for developer only.
    - Set urgency to high because of possible information leakage.
  * Tidy up with wrap-and-sort.
  * debian/control:
    - Remove DM-Upload-Allowed.
  * debian/autoreconf.after: removed.
  * debian/autoreconf.before: ditto.

 -- Kan-Ru Chen <koster@debian.org>  Tue, 17 Apr 2012 12:17:22 +0800

libchewing (0.3.3-3) unstable; urgency=low

  * PATH_MAX patch to src/porting_layer/include/sys/plat_posix.h,
    instead of include/config.h.in, as not all source files include
    config.h.

 -- YunQiang Su <wzssyqa@gmail.com>  Tue, 03 Apr 2012 17:16:48 +0800

libchewing (0.3.3-2) unstable; urgency=low

  * Team upload to unstable; add YunQiang Su to uploaders.
  * install chewing.py to package libchewing3 (Closes: #513773).
  * patch include/config.h.in
    to define PATH_MAX if not defined (Closes: #666706).

 -- YunQiang Su <wzssyqa@gmail.com>  Mon, 02 Apr 2012 13:58:10 +0800

libchewing (0.3.3-2~exp) experimental; urgency=low

  * Team upload to fix multiarch bugs.
    - Install data files to usr/lib, as they are arch depend.
    - Remove "Multi-arch: forigen" from libchewing3-data.
  * Bump standard version to 3.9.3.
  * Add new debug package: libchewing3-dbg.
  * use --with autoreconf instead of --with autotools_dev.

 -- YunQiang Su <wzssyqa@gmail.com>  Mon, 26 Mar 2012 20:05:57 +0800

libchewing (0.3.3-1) unstable; urgency=low

  * New upstream release
  * Change debhelper compatibility to 9
  * Simplify the build rules
  * Convert to 3.0 (quilt) source format
  * Convert to MultiArch
  * Update Maintainer field
    - Change the Maintainer field to IME Packaging Team
    - Update the email addresses
  * Update Standards-Version to 3.9.2
  * Update Vcs-* info
  * Build depends on autotools-dev (Closes: #558571).

 -- Kan-Ru Chen <koster@debian.org>  Thu, 25 Aug 2011 00:26:54 +0800

libchewing (0.3.2-1) unstable; urgency=low

  * New Upstream Version 
  * [5d96bf5] Update watch address
  * [351d417] Add Vcs-Git field
  * [63cd26a] Add Vcs-Browser field
  * [e2a59e2] Conflict with scim-chewing << 0.3.3
  * [cd15be8] Change libchewing3-data from all to any since we build
    binary data now.

 -- Kanru Chen <koster@debian.org.tw>  Thu, 04 Dec 2008 15:34:03 +0800

libchewing (0.3.1-1) unstable; urgency=low

  * New Upstream Version
  * Update standards-version to 3.8.0
  * Add Homepage header
  * Add Priority to all binary package field
  * Add Andrew Lee <andrew@linux.org.tw> to Uploaders
  * Change debhelper compatibility to 7
  * Simplify debian/rules
  * Conflict with scim-chewing (<< 0.3.2)
  * Now build libchewing3-data in binary-indep (Closes: #303000)
  * Closes: #427974: cannot type any zuo words. Fixed upstream.

 -- Kanru Chen <koster@debian.org.tw>  Wed, 12 Nov 2008 16:48:32 +0800

libchewing (0.3.0-1) unstable; urgency=low

  * New upstream release
  * Bump major version to 3
  * Change debhelper compatibility to 5
  * Update standards-version to 3.7.2.0
  * Not install *.la files anymore.
  * Install -data files to libchewing3/chewing instead of chewing
    to maintain the compatibility of old -data packages
  * Update README.Debian
  * Change libchewing3-data architecture to any (Closes: #303000)

 -- Kanru Chen <koster@debian.org.tw>  Mon, 15 May 2006 16:17:40 +0800

libchewing (0.2.7-1) unstable; urgency=low

  * New upstream release.
  * New standards version (3.6.2, no changes).

 -- Kanru Chen <koster@debian.org.tw>  Tue, 16 Aug 2005 14:46:14 +0800

libchewing (0.2.6+svn20050326-1) unstable; urgency=high

  * Upstream SVN snapshot.
    + Using snapshot which fixed some unexpected exit() call.
  * Change libcheiwng2-dev section to 'libdevel'.
  * Added missing Build-Depends of dpatch.
  * Set urgency to high, Closes: #301462: FTBFS: typo in Build-Depends line
  * Auto generated documents are broken and not really helpful now, remove
    them temporarily.

 -- Kanru Chen <koster@debian.org.tw>  Wed, 30 Mar 2005 21:46:31 +0800

libchewing (0.2.6-2) unstable; urgency=low

  * libchewing-data: Changed Architecture: any to all
  * Remove Provides, cause Provides and Conflicts should not be 
    together.

 -- Kanru Chen <koster@debian.org.tw>  Wed,  2 Mar 2005 20:54:18 +0800

libchewing (0.2.6-1) unstable; urgency=low

  * New upstream release.

 -- Kanru Chen <koster@debian.org.tw>  Mon, 28 Feb 2005 11:00:45 +0800

libchewing (0.2.5-2) unstable; urgency=low

  * Update descriptions in control file.
  * Maintainer's email changed. 
  * Execute scripts/remove-autotool.sh after 'make clean'.
  * Remove doxygen auto produced files after 'make clean'.

 -- Kanru Chen <koster@debian.org.tw>  Fri, 11 Feb 2005 15:20:51 +0800

libchewing (0.2.5-1) unstable; urgency=low

  * New upstream release.
  * Back to normal debian/rules.
  * Update README.Debian.

 -- Kanru Chen <kanru.96@stu.csie.ncnu.edu.tw>  Tue, 28 Dec 2004 12:53:56 +0800

libchewing (0.2.4-2) unstable; urgency=low

  * Use cdbs common package build system.
  * Back to libchewing-data. I did wrong thing. 

 -- Kanru Chen <kanru.96@stu.csie.ncnu.edu.tw>  Thu,  7 Oct 2004 22:18:53 +0800

libchewing (0.2.4-1) unstable; urgency=low

  * New upstream release. 
  * ABI changed.
  * Change package name form libchewing-data to libchewing1-data and set
    conflict.

 -- Kanru Chen <kanru.96@stu.csie.ncnu.edu.tw>  Tue,  5 Oct 2004 20:25:47 +0800

libchewing (0.2.3-2) unstable; urgency=low

  * Added support for pkg-config.

 -- Kanru Chen <kanru.96@stu.csie.ncnu.edu.tw>  Thu,  5 Aug 2004 23:27:30 +0800

libchewing (0.2.3-1) unstable; urgency=low

  * New upstream release.

 -- Kanru Chen <kanru.96@stu.csie.ncnu.edu.tw>  Wed,  4 Aug 2004 17:56:11 +0800

libchewing (0.2.2-1) unstable; urgency=low

  * New upstream version.
  * README.Debian.

 -- Kanru Chen <kanru.96@stu.csie.ncnu.edu.tw>  Tue,  6 Jul 2004 15:23:01 +0800

libchewing (0.2.1-2) unstable; urgency=low



=== debian/control ===
Source: libchewing
Section: libs
Priority: optional
Maintainer: IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>
Uploaders: Kan-Ru Chen (陳侃如) <koster@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>,
           YunQiang Su <wzssyqa@gmail.com>
Build-Depends: autotools-dev,
               check,
               debhelper (>= 9),
               dh-autoreconf,
               doxygen,
               gcc (>= 3:3.3),
               graphviz,
               libncursesw5-dev,
               libtool (>= 1.5.6),
               pkg-config
Standards-Version: 3.9.3
Homepage: http://chewing.csie.net
Vcs-Git: git://anonscm.debian.org/pkg-ime/libchewing.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ime/libchewing.git;a=summary

Package: libchewing3-dev
Conflicts: libchewing-dev, libchewing1-dev, libchewing2-dev
Section: libdevel
Architecture: any
Depends: libchewing3 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: intelligent phonetic input method library (developer version)
 libchewing is an intelligent phonetic input method library for Chinese.
 .
 It provides the core algorithm and logic so that they can be shared among
 the various input methods like JMCCE, xcin-chewing, scim-chewing,
 iiimf-chewing, screen-chewing, ime-chewing, etc.
 .
 The Chewing input method is a smart bopomofo fonetics input method that
 is useful for inputing Mandarin Chinese based language.
 .
 This package contains static library and header files for developer.

Package: libchewing3
Provides: libchewing
Multi-Arch: same
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: libchewing3-data (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: scim-chewing (<< 0.3.3)
Description: intelligent phonetic input method library
 libchewing is an intelligent phonetic input method library for Chinese.
 .
 It provides the core algorithm and logic so that they can be shared among
 the various input methods like JMCCE, xcin-chewing, scim-chewing,
 iiimf-chewing, screen-chewing, ime-chewing, etc.
 .
 The Chewing input method is a smart bopomofo fonetics input method that
 is useful for inputing Mandarin Chinese based language.
 .
 This package contains shared library used by other programs.

Package: libchewing3-data
Provides: libchewing-data
Breaks: libchewing-data (<= 0.2.7)
Section: misc
Multi-Arch: same
Architecture: any
Depends: ${misc:Depends}
Description: intelligent phonetic input method library - data files
 libchewing is an intelligent phonetic input method library for Chinese.
 .
 It provides the core algorithm and logic so that they can be shared among
 the various input methods like JMCCE, xcin-chewing, scim-chewing,
 iiimf-chewing, screen-chewing, ime-chewing, etc.
 .
 The Chewing input method is a smart bopomofo fonetics input method that
 is useful for inputing Mandarin Chinese based language.
 .
 This package contains data files of libchewing3.

Package: libchewing3-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libchewing3 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: intelligent phonetic input method library - debug files
 libchewing is an intelligent phonetic input method library for Chinese.
 .
 It provides the core algorithm and logic so that they can be shared among
 the various input methods like JMCCE, xcin-chewing, scim-chewing,
 iiimf-chewing, screen-chewing, ime-chewing, etc.
 .
 The Chewing input method is a smart bopomofo fonetics input method that
 is useful for inputing Mandarin Chinese based language.
 .
 This package contains debug symbols which are useful for debug.

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

CFLAGS += -g
export CFLAGS

override_dh_auto_configure:
	dh_auto_configure -- --datadir=/usr/lib/${DEB_HOST_MULTIARCH}/libchewing3/

override_dh_auto_clean:
	[ ! -f test/Makefile ] || (cd test; $(MAKE) distclean)
	dh_auto_clean

override_dh_strip:
	dh_strip --dbg-package=libchewing3-dbg

%:
	dh $@ --with autoreconf

=== debian/watch ===
version=3
http://chewing.csie.net/download/libchewing/libchewing-(.*)\.tar.bz2

## libchewing 0.3.3-2

=== debian/changelog ===
libchewing (0.3.3-2) fremantle; urgency=low

  * Port to fremantle, modified build parameters

 -- Alsor Zhou <alsor.zhou@gmail.com>  Mon, 4 Jan 2010 01:40:42 +0800

libchewing (0.3.2-2) unstable; urgency=low

  [ Zhengpeng Hou ]
  * Add 01_fix_zuin_count_return.diff from upstream svn, which will make
    ibus-chewing work. (Closes: #551368)

  [ Andrew Lee (李健秋) ]
  * Accepted debdiff patch from Zhengpeng Hou and upload as maintainer 
    Kanru Chen's request.
  * Refine debian/rules

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Wed, 21 Oct 2009 00:08:42 +0800

=== debian/control ===
Source: libchewing
Section: libs
Priority: optional
Maintainer: Kanru Chen <koster@debian.org.tw>
Uploaders: Andrew Lee (李健秋) <ajqlee@debian.org>
Build-Depends: debhelper (>= 4.0.0), gcc (>= 3:3.3), libtool (>= 1.5.6), dpatch
Standards-Version: 3.8.0
Homepage: http://chewing.csie.net
DM-Upload-Allowed: yes
Vcs-Git: git://git.debian.org/git/users/kanru-guest/libchewing.git
Vcs-Browser: http://git.debian.org/?p=users/kanru-guest/libchewing.git;a=summary

Package: libchewing3-dev
Conflicts: libchewing-dev, libchewing1-dev, libchewing2-dev
Section: libdevel
Priority: optional
Architecture: any
Depends: libchewing3 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: intelligent phonetic input method library (developer version)
 libchewing is an intelligent phonetic input method library for Chinese.
 .
 It provides the core algorithm and logic so that they can be shared among
 the various input methods like JMCCE, xcin-chewing, scim-chewing, 
 iiimf-chewing, screen-chewing, ime-chewing, etc.
 .
 The Chewing input method is a smart bopomofo fonetics input method that
 is useful for inputing Mandarin Chinese based language.

Package: libchewing3
Provides: libchewing
Section: libs
Priority: optional
Architecture: any
Depends: libchewing3-data (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Conflicts: scim-chewing (<< 0.3.3)
Description: intelligent phonetic input method library
 libchewing is an intelligent phonetic input method library for Chinese.
 .
 It provides the core algorithm and logic so that they can be shared among
 the various input methods like JMCCE, xcin-chewing, scim-chewing, 
 iiimf-chewing, screen-chewing, ime-chewing, etc.
 .
 The Chewing input method is a smart bopomofo fonetics input method that
 is useful for inputing Mandarin Chinese based language.

Package: libchewing3-data
Provides: libchewing-data
Conflicts: libchewing-data (<= 0.2.7)
Section: misc
Priority: optional
Architecture: any
Depends: ${misc:Depends}
Description:intelligent phonetic input method library - data files
 libchewing is an intelligent phonetic input method library for Chinese.
 .
 It provides the core algorithm and logic so that they can be shared among
 the various input methods like JMCCE, xcin-chewing, scim-chewing, 
 iiimf-chewing, screen-chewing, ime-chewing, etc.
 .
 The Chewing input method is a smart bopomofo fonetics input method that
 is useful for inputing Mandarin Chinese based language.

=== debian/rules ===
#!/usr/bin/make -f

# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE = 1

# set the platform for configure script, especially useful for cross-compiling
DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
ifeq ($(DEB_HOST_GNU_TYPE), $(DEB_BUILD_GNU_TYPE))
	CONFFLAGS += --build=$(DEB_BUILD_GNU_TYPE)
else
	CONFFLAGS += --build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE)
endif
# for more information, see /usr/share/doc/autotools-dev/README.Debian.gz

# set compiler flags, enable warning and debug
CFLAGS += -W -g
CXXFLAGS += -W -g
# set optimization level
ifeq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O
	CXXFLAGS += -O
else
	CFLAGS += -O0
	CXXFLAGS += -O0
endif

# shared library versions, option 1
version=2.0.5
major=2

config.status:
	dh_testdir
	# auto reconf
	./autogen.sh
	# run configure with all necessary definitions and options
	./configure \
		CFLAGS="$(CFLAGS)" \
		CXXFLAGS="$(CXXFLAGS)" \
		--prefix=/usr \
		--sysconfdir=/etc

build: build-stamp
build-stamp: config.status
	dh_testdir
	dh_clean
	$(MAKE)
	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install
	rm -f debian/tmp/usr/lib/libchewing.la
	dh_install --sourcedir=debian/tmp --fail-missing
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	# only run "make clean" if a Makefile exists
	[ ! -f Makefile ] || $(MAKE) clean
	# remove existent config.{guess,sub} as we use the ones from
	# autotools-dev package
	rm -f config.guess config.sub
	dh_clean 

# Build architecture-independent files here.
binary-indep: build
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build
	dh_testdir
	dh_testroot
	dh_installchangelogs -a ChangeLog
	dh_link
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	maemo-optify
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary build-stamp config.status

=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# Site		Directory		Pattern			Version	Script
version=2
http://chewing.csie.net/download/libchewing/libchewing-(.*)\.tar.(bz2|gz)

## libchewing 0.3.4

=== debian/changelog ===
libchewing (0.3.4-3) unstable; urgency=low

  * run autoreconf to fix regression with 0.3.4-2.

 -- Osamu Aoki <osamu@debian.org>  Fri, 21 Jun 2013 20:15:52 +0900

libchewing (0.3.4-2) unstable; urgency=low

  * Team upload.
  * Memory alignment patch for sparc. Closes: #709934
  * Disable test.

 -- Osamu Aoki <osamu@debian.org>  Thu, 20 Jun 2013 22:35:31 +0900

libchewing (0.3.4-1) unstable; urgency=low

  * debian/watch looks for googlecode now
  * Imported Upstream version 0.3.4
  * Upstream tarball has no chewing.py:
    put it under debian/
  * Autoreconf is not needed now.
  * /usr/lib/*/chewing3/ renamed to /usr/lib/*/chewing/
  * Patch to remove stamp under data correctly.
  * Add symbols for libchewing3.

 -- YunQiang Su <wzssyqa@gmail.com>  Sat, 16 Feb 2013 11:05:28 +0800

=== debian/control ===
Source: libchewing
Section: libs
Priority: optional
Maintainer: IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>
Uploaders: Kan-Ru Chen (陳侃如) <koster@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>,
           YunQiang Su <wzssyqa@gmail.com>
Build-Depends: autotools-dev,
               check,
               debhelper (>= 9),
               dh-autoreconf,
               doxygen,
               gcc (>= 3:3.3),
               graphviz,
               libncursesw5-dev,
               libtool (>= 1.5.6),
               pkg-config
Standards-Version: 3.9.4
Homepage: http://chewing.csie.net
Vcs-Git: git://anonscm.debian.org/pkg-ime/libchewing.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ime/libchewing.git;a=summary

Package: libchewing3-dev
Conflicts: libchewing-dev, libchewing1-dev, libchewing2-dev
Section: libdevel
Architecture: any
Depends: libchewing3 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: intelligent phonetic input method library (developer version)
 libchewing is an intelligent phonetic input method library for Chinese.
 .
 It provides the core algorithm and logic so that they can be shared among
 the various input methods like JMCCE, xcin-chewing, scim-chewing,
 iiimf-chewing, screen-chewing, ime-chewing, etc.
 .
 The Chewing input method is a smart bopomofo fonetics input method that
 is useful for inputing Mandarin Chinese based language.
 .
 This package contains static library and header files for developer.

Package: libchewing3
Provides: libchewing
Multi-Arch: same
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: libchewing3-data (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: scim-chewing (<< 0.3.3)
Description: intelligent phonetic input method library
 libchewing is an intelligent phonetic input method library for Chinese.
 .
 It provides the core algorithm and logic so that they can be shared among
 the various input methods like JMCCE, xcin-chewing, scim-chewing,
 iiimf-chewing, screen-chewing, ime-chewing, etc.
 .
 The Chewing input method is a smart bopomofo fonetics input method that
 is useful for inputing Mandarin Chinese based language.
 .
 This package contains shared library used by other programs.

Package: libchewing3-data
Provides: libchewing-data
Breaks: libchewing-data (<= 0.2.7)
Section: misc
Multi-Arch: same
Architecture: any
Depends: ${misc:Depends}
Description: intelligent phonetic input method library - data files
 libchewing is an intelligent phonetic input method library for Chinese.
 .
 It provides the core algorithm and logic so that they can be shared among
 the various input methods like JMCCE, xcin-chewing, scim-chewing,
 iiimf-chewing, screen-chewing, ime-chewing, etc.
 .
 The Chewing input method is a smart bopomofo fonetics input method that
 is useful for inputing Mandarin Chinese based language.
 .
 This package contains data files of libchewing3.

Package: libchewing3-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libchewing3 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: intelligent phonetic input method library - debug files
 libchewing is an intelligent phonetic input method library for Chinese.
 .
 It provides the core algorithm and logic so that they can be shared among
 the various input methods like JMCCE, xcin-chewing, scim-chewing,
 iiimf-chewing, screen-chewing, ime-chewing, etc.
 .
 The Chewing input method is a smart bopomofo fonetics input method that
 is useful for inputing Mandarin Chinese based language.
 .
 This package contains debug symbols which are useful for debug.

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

CFLAGS += -g
export CFLAGS

override_dh_auto_configure:
	dh_auto_configure -- --datadir=/usr/lib/${DEB_HOST_MULTIARCH}/libchewing3/

override_dh_strip:
	dh_strip --dbg-package=libchewing3-dbg

override_dh_auto_test:

%:
	dh $@ --with autoreconf

=== debian/watch ===
version=3
http://code.google.com/p/chewing/downloads/list .*/libchewing-*\.*(.*)\.tar\.bz2

## libchewing 0.3.5

=== debian/changelog ===
libchewing (0.3.5-4build1) trusty; urgency=medium

  * Rebuild to drop files installed into /usr/share/pyshared.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 23 Feb 2014 13:48:08 +0000

libchewing (0.3.5-4) unstable; urgency=medium

  [ Martin Pitt ]
  * debian/tests/control:
    - Add missing pkg-config test dependency.
    - Don't pull in all binaries, just libchewing3-dev. This ensures that the
      -dev package has correct dependencies.

  [ ChangZhuo Chen (陳昌倬) ]
  * Merge ubuntu fix for autopkgtest (Closes: #735646)
  * Update Standards-Version to 3.9.5

 -- ChangZhuo Chen (陳昌倬) <czchen@gmail.com>  Tue, 18 Feb 2014 22:26:46 +0800

libchewing (0.3.5-3) unstable; urgency=low

  * Merge negative frequency patch (Closes: #722971)
  * Fix hardening-no-fortify-functions
  * Fix dh clean
  * Add XS-Testsuite: autopkgtest
  * Update watch

 -- ChangZhuo Chen (陳昌倬) <czchen@gmail.com>  Tue, 01 Oct 2013 20:45:29 +0800

libchewing (0.3.5-2) unstable; urgency=low

  * Add missing build dependency.

 -- Kan-Ru Chen (陳侃如) <koster@debian.org>  Thu, 08 Aug 2013 08:43:22 +0800

libchewing (0.3.5-1) unstable; urgency=low

  [ ChangZhuo Chen (陳昌倬) ]
  * New upstream release. (Closes: #695452, #608615)
  * Add info page to libchewing3-dev
  * Update new official website
  * Remove unused patches
  * Remove unused dependency
  * Add symbol for new API chewing_set_logger

  [ Kan-Ru Chen (陳侃如) ]
  * Make libchewing3-dbg Multi-Arch: same. (Closes: #712883)
  * Clean generated info files.

 -- Kan-Ru Chen (陳侃如) <koster@debian.org>  Thu, 08 Aug 2013 01:01:54 +0800

=== debian/control ===
--- 
+++ 
@@ -4,21 +4,21 @@
 Maintainer: IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>
 Uploaders: Kan-Ru Chen (陳侃如) <koster@debian.org>,
            Andrew Lee (李健秋) <ajqlee@debian.org>,
-           YunQiang Su <wzssyqa@gmail.com>
+           YunQiang Su <wzssyqa@gmail.com>,
+           ChangZhuo Chen (陳昌倬) <czchen@gmail.com>
 Build-Depends: autotools-dev,
-               check,
                debhelper (>= 9),
                dh-autoreconf,
-               doxygen,
                gcc (>= 3:3.3),
-               graphviz,
                libncursesw5-dev,
                libtool (>= 1.5.6),
-               pkg-config
-Standards-Version: 3.9.4
-Homepage: http://chewing.csie.net
+               pkg-config,
+               texinfo
+Standards-Version: 3.9.5
+Homepage: http://chewing.im
 Vcs-Git: git://anonscm.debian.org/pkg-ime/libchewing.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ime/libchewing.git;a=summary
+XS-Testsuite: autopkgtest
 
 Package: libchewing3-dev
 Conflicts: libchewing-dev, libchewing1-dev, libchewing2-dev
@@ -80,6 +80,7 @@
 Package: libchewing3-dbg
 Section: debug
 Priority: extra
+Multi-Arch: same
 Architecture: any
 Depends: libchewing3 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: intelligent phonetic input method library - debug files

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

override_dh_auto_configure:
	dh_auto_configure -- --datadir=/usr/lib/${DEB_HOST_MULTIARCH}/libchewing3/

override_dh_strip:
	dh_strip --dbg-package=libchewing3-dbg

override_dh_clean:
	-rm doc/libchewing.info
	-rm doc/stamp-vti
	-rm doc/version.texi
	dh_clean

override_dh_auto_test:

%:
	dh $@ --with autoreconf

## libchewing 0.4.0

=== debian/changelog ===
libchewing (0.4.0-2) unstable; urgency=medium

  * Bump standard version to 3.9.6
  * Fix invalid-short-name-in-dep5-copyright
  * Update debian/rules
    - Install include into /usr/include/triplet
    - Don't use --disable-silent-rules
    - Add --fail-missing in dh_install
  * Tweak debian/control
  * Use debian/clean to remove generated files
  * Remove libchewing.a in libchewing3-dev
  * Add debian/gbp.conf

 -- ChangZhuo Chen (陳昌倬) <czchen@gmail.com>  Thu, 25 Sep 2014 23:00:56 +0800

libchewing (0.4.0-1) unstable; urgency=medium

  * New upstream release
  * Add --disable-silent-rules for compiler-flags-hidden
  * Drop upstream merged patch debian/patches/negative-frequency.patch
  * Modify for libchewing new platform independent format
    - Remove --datadir in rules
    - Change libchewing3-data arch to all
    - Update debian/libchewing3-data.install
  * Enable testing
  * Update debian/tests/build for better debug message
  * Remove Makefile.in in dh_clean
  * Update debian/libchewing3.symbols for new symbols
  * Update debian/copyright to copyright-format 1.0

 -- ChangZhuo Chen (陳昌倬) <czchen@gmail.com>  Fri, 11 Apr 2014 13:17:07 +0800

=== debian/control ===
--- 
+++ 
@@ -5,16 +5,17 @@
 Uploaders: Kan-Ru Chen (陳侃如) <koster@debian.org>,
            Andrew Lee (李健秋) <ajqlee@debian.org>,
            YunQiang Su <wzssyqa@gmail.com>,
-           ChangZhuo Chen (陳昌倬) <czchen@gmail.com>
+           ChangZhuo Chen (陳昌倬) <czchen@gmail.com>,
 Build-Depends: autotools-dev,
                debhelper (>= 9),
                dh-autoreconf,
                gcc (>= 3:3.3),
                libncursesw5-dev,
+               libsqlite3-dev,
                libtool (>= 1.5.6),
                pkg-config,
-               texinfo
-Standards-Version: 3.9.5
+               texinfo,
+Standards-Version: 3.9.6
 Homepage: http://chewing.im
 Vcs-Git: git://anonscm.debian.org/pkg-ime/libchewing.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ime/libchewing.git;a=summary
@@ -24,7 +25,8 @@
 Conflicts: libchewing-dev, libchewing1-dev, libchewing2-dev
 Section: libdevel
 Architecture: any
-Depends: libchewing3 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends},
+         libchewing3 (= ${binary:Version}),
 Description: intelligent phonetic input method library (developer version)
  libchewing is an intelligent phonetic input method library for Chinese.
  .
@@ -42,9 +44,9 @@
 Multi-Arch: same
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: libchewing3-data (= ${binary:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+         libchewing3-data (>= 0.4.0),
 Breaks: scim-chewing (<< 0.3.3)
 Description: intelligent phonetic input method library
  libchewing is an intelligent phonetic input method library for Chinese.
@@ -62,9 +64,9 @@
 Provides: libchewing-data
 Breaks: libchewing-data (<= 0.2.7)
 Section: misc
-Multi-Arch: same
-Architecture: any
-Depends: ${misc:Depends}
+Multi-Arch: foreign
+Architecture: all
+Depends: ${misc:Depends},
 Description: intelligent phonetic input method library - data files
  libchewing is an intelligent phonetic input method library for Chinese.
  .
@@ -82,7 +84,8 @@
 Priority: extra
 Multi-Arch: same
 Architecture: any
-Depends: libchewing3 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends},
+         libchewing3 (= ${binary:Version}),
 Description: intelligent phonetic input method library - debug files
  libchewing is an intelligent phonetic input method library for Chinese.
  .

=== debian/rules ===
#!/usr/bin/make -f
#DH_VERBOSE = 1

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --includedir=/usr/include/$(DEB_HOST_MULTIARCH)

override_dh_strip:
	dh_strip --dbg-package=libchewing3-dbg

override_dh_install:
	dh_install --fail-missing \
		--exclude=libchewing.a \
		--exclude=libchewing.info \
		--exclude=libchewing.la \
		$(NULL)
